Bug 254933 - sysutils/lsd: Update to 0.20.1
Summary: sysutils/lsd: Update to 0.20.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-09 23:26 UTC by Andrey Cherkashin
Modified: 2021-04-11 18:46 UTC (History)
2 users (show)

See Also:


Attachments
lsd-0.20.1.patch (30.24 KB, text/plain)
2021-04-09 23:26 UTC, Andrey Cherkashin
andoriyu: maintainer-approval+
Details
lsd-0.20.1.patch (29.95 KB, patch)
2021-04-10 20:57 UTC, Andrey Cherkashin
andoriyu: maintainer-approval+
Details | Diff
lsd-0.20.1 (29.46 KB, patch)
2021-04-11 18:12 UTC, William MacKay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherkashin 2021-04-09 23:26:45 UTC
Created attachment 223967 [details]
lsd-0.20.1.patch
Comment 2 Kevin Bowling freebsd_committer 2021-04-10 03:41:05 UTC
I'm having trouble applying your patch, is it from an up to date ports tree?
Comment 3 Andrey Cherkashin 2021-04-10 05:22:20 UTC
(In reply to Kevin Bowling from comment #2)
Yeah, i did off main branch from here https://github.com/freebsd/freebsd-ports/blob/main/sysutils/lsd/Makefile
Comment 4 Kevin Bowling freebsd_committer 2021-04-10 20:35:04 UTC
(In reply to Andrey Cherkashin from comment #3)
Can you regenerate after pulling from main?  I suspect your patches are based on an earlier version before a treewide removal of $FreeBSD$ tag and whitespace cleanup.
Comment 5 Andrey Cherkashin 2021-04-10 20:57:48 UTC
Created attachment 224000 [details]
lsd-0.20.1.patch

Patch with fixed tabs
Comment 6 Andrey Cherkashin 2021-04-10 21:23:15 UTC
(In reply to Kevin Bowling from comment #4)
I pulled before updating and before making patch. 

I don't see $FreeBSD$ tag in my makefile or patch. What error are you getting when applying this patch?
Comment 7 William MacKay 2021-04-11 18:12:44 UTC
Created attachment 224030 [details]
lsd-0.20.1

I had trouble applying the patch in attachment 224000 [details] because it has DOS line endings instead of UNIX. I am attaching a fixed version of the patch that applies correctly.
Comment 8 commit-hook freebsd_committer 2021-04-11 18:44:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=77cfb4c1e4c680ce68507660138300a82a8930dd

commit 77cfb4c1e4c680ce68507660138300a82a8930dd
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-04-11 18:36:20 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-04-11 18:37:54 +0000

    sysutils/lsd: Update to 0.20.1

    PR:             254933
    Reviewed by:    William MacKay <foobaz@gmail.com>
    Approved by:    Andrey Cherkashin <andoriyu@gmail.com> (maintainer)

 sysutils/lsd/Makefile | 144 ++++++++++++++-----------
 sysutils/lsd/distinfo | 284 ++++++++++++++++++++++++++++----------------------
 2 files changed, 242 insertions(+), 186 deletions(-)
Comment 9 Kevin Bowling freebsd_committer 2021-04-11 18:46:56 UTC
Thanks!